Update Note

http
PUT https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes/{noteId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
appointmentIdstringYesAppointment ID

Body

NameTypeRequiredExampleDescription
userIdstringNoGCs5KuzPqTls7vWclkEV
bodystringYeslorem ipsumNote body

Responses

200 - Successful response
  • note (object)

    • id (string): Example: HGPcayliwcdoUFzvbTok

    • body (string): Example: lorem ipsum

    • userId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • dateAdded (string): Example: 2021-07-08T12:02:11.285Z

    • contactId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • createdBy (object)

      • id (string): Example: TUcmRxWr

      • name (string): Example: John Doe

json
{
  "note": {
    "id": "HGPcayliwcdoUFzvbTok",
    "body": "lorem ipsum",
    "userId": "TUcmRxWrjqzJS8EjkxNK",
    "dateAdded": "2021-07-08T12:02:11.285Z",
    "contactId": "TUcmRxWrjqzJS8EjkxNK",
    "createdBy": {
      "id": "TUcmRxWr",
      "name": "John Doe"
    }
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes/YOUR_noteId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "GCs5KuzPqTls7vWclkEV",
  "body": "lorem ipsum"
}'

Last updated October 26, 2026

Was this page helpful?